Arch Linux

Please read this before reporting a bug:
https://wiki.archlinux.org/title/Bug_reporting_guidelines

Do NOT report bugs when a package is just outdated, or it is in the AUR. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#7762 - binutils-2.17.50.0.18-1 breaks libbfd

Attached to Project: Arch Linux
Opened by Lone_Wolf (Lone_Wolf) - Wednesday, 08 August 2007, 14:30 GMT
Last edited by Jan de Groot (JGC) - Wednesday, 08 August 2007, 21:45 GMT
Task Type Bug Report
Category Packages: Current
Status Closed
Assigned To No-one
Architecture All
Severity High
Priority Normal
Reported Version 2007.08 Don't Panic
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 0
Private No

Details

binutils-2.17.50.0.18-1 breaks libbfd

One of my apps gives this error after updating today :
/usr/share/oolite.app/oolite: error while loading shared libraries: libbfd-2.17.so: cannot open shared object file: No such file or directory

As it worked fine yesterday, i checked and found libbfd is in /usr/lib and belongs to binutils, and this was updated today to binutils-2.17.50.0.18-1 .

In the previous 2.17 versions of binutils it installed libbfd-2.17.so , now it installs libbfd-2.17.50.0.18.so .

Creating a symlink for libbfd-2.17.s0 works as a temporary solution
This task depends upon

Closed by  Jan de Groot (JGC)
Wednesday, 08 August 2007, 21:45 GMT
Reason for closing:  Not a bug
Additional comments about closing:  oolite is not in the repositories, it's a bug in your oolite application: applications should not link dynamic to libbfd.so, they should link static as the lib is no way ABI stable.

Loading...